### Constructor

# Vips Image mask_gaussian_band

#### Declaration [src]

    int
    vips_mask_gaussian_band (
      VipsImage** out,
      int width,
      int height,
      double frequency_cutoff_x,
      double frequency_cutoff_y,
      double radius,
      double amplitude_cutoff,
      ...
    )

#### Description [src]

Make a gaussian band-pass or band-reject filter, that is, one with a variable, smooth transition positioned at `frequency_cutoff_x`, `frequency_cutoff_y`, of radius `radius`.

Optional arguments

- `nodc`: `gboolean`, don’t set the DC pixel
- `reject`: `gboolean`, invert the filter sense
- `optical`: `gboolean`, coordinates in optical space
- `uchar`: `gboolean`, output a uchar image

See also

`vips_mask_ideal()`.

This constructor is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`width`

  Type: `int`

  Image size.

`height`

  Type: `int`

  Image size.

`frequency_cutoff_x`

  Type: `double`

  Band position.

`frequency_cutoff_y`

  Type: `double`

  Band position.

`radius`

  Type: `double`

  Band radius.

`amplitude_cutoff`

  Type: `double`

  Amplitude threshold.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.